\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{pw}
%
\def\@baseclass{book}
\PassOptionsToClass{a4paper,oneside,10pt,myheadings}{\@baseclass}
\ProcessOptions
\LoadClass{\@baseclass}
%
\setlength\paperheight {297mm}
\setlength\paperwidth  {210mm}
%
\usepackage{amsmath}
\usepackage{amsfonts} 
\usepackage{amscd}
\usepackage{amssymb}
\usepackage{amsthm}
\usepackage{amsopn}
\usepackage{enumitem}  % new
%
\usepackage{longtable}
%
\usepackage{makeidx}
%
\usepackage[colorlinks]{hyperref}
%
\usepackage[usenames]{color}
%
\usepackage[dvips]{epsfig}
\usepackage{graphicx}
\usepackage{xypic}
\xyoption{all}
\xyoption{poly}

\usepackage{slashed}
\usepackage{pw}

\usepackage{fancyhdr}

 \pagestyle{fancy}
 \renewcommand{\chaptermark}[1]{\markboth{\partname\ \thepart}{#1}}
 \renewcommand{\sectionmark}[1]{\markright{#1}}
 %\fancyhf{} %delete the current section for header and footer
 \fancyhead[LE,RO]{\rightmark}
 %\fancyhead[LOE]{\rightmark}
 \fancyhead[LO,RE]{\bfseries \leftmark}
 \fancypagestyle{plain}{%
 \fancyhead{} %get rid of the headers on plain pages
 }

\makeindex